> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/vi/tai-nguyen-cho-nha-phat-trien/api-docs/get-all-added-public-knowledge.md).

# Lấy tất cả kiến thức công khai đã thêm

{% openapi src="/files/uCR2Hrq9CjDxpCLaqzhl" path="/common-knowledge/subscribed-list/" method="get" %}
[rememberizer\_openapi.yml](https://4187618229-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fwbxu0T4faQnPtKbPzrD5%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=b77a395b-ed7b-4546-9ec7-182d4939fd1b)
{% endopenapi %}

## Ví dụ Yêu Cầu

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/ \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

{% hint style="info" %}
Thay thế `YOUR_JWT_TOKEN` bằng mã thông báo JWT thực tế của bạn.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getPublicKnowledge = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getPublicKnowledge();
```

{% hint style="info" %}
Thay thế `YOUR_JWT_TOKEN` bằng mã thông báo JWT thực tế của bạn.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_public_knowledge():
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_public_knowledge()
```

{% hint style="info" %}
Thay thế `YOUR_JWT_TOKEN` bằng mã thông báo JWT thực tế của bạn.
{% endhint %}
{% endtab %}
{% endtabs %}

## Định dạng Phản hồi

```json
[
  {
    "id": 1,
    "num_of_subscribers": 76,
    "publisher_name": "Rememberizer AI",
    "published_by_me": false,
    "subscribed_by_me": true,
    "size": 66741,
    "created": "2023-01-15T14:30:00Z",
    "modified": "2023-05-20T09:45:12Z",
    "priority_score": 2.053,
    "name": "Tài liệu Rememberizer",
    "image_url": "https://example.com/images/rememberizer-docs.png",
    "description": "Tài liệu và bài viết blog mới nhất về Rememberizer.",
    "api_key": null,
    "is_sharing": true,
    "memento": 159,
    "document_ids": [1234, 5678, 9012]
  }
]
```

Điểm cuối này truy xuất danh sách tất cả kiến thức công khai (còn được gọi là kiến thức chung) mà người dùng hiện tại đã đăng ký. Mỗi mục bao gồm siêu dữ liệu về nguồn kiến thức, chẳng hạn như ngày xuất bản, kích thước và các tài liệu liên quan.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/vi/tai-nguyen-cho-nha-phat-trien/api-docs/get-all-added-public-knowledge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
